> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get TPRM Finding by ID

> Supports authentication via Bearer token (from /identity/token) or API key + connection ID



## OpenAPI

````yaml get /tprm/findings/{finding_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /tprm/findings/{finding_id}:
    get:
      tags:
        - tprm
        - findings
      summary: Get TPRM Finding by ID
      description: >-
        Supports authentication via Bearer token (from /identity/token) or API
        key + connection ID
      operationId: get_tprm_finding_by_id
      parameters:
        - in: path
          name: finding_id
          required: true
          schema:
            format: uuid
            title: Finding Id
            type: string
        - in: header
          name: X-CONNECTION-ID
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: X-Connection-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TPRMFindingKBRespModel'
          description: Successful Response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: TPRM Finding not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - API-Key: []
          Bearer-Token: []
components:
  schemas:
    TPRMFindingKBRespModel:
      properties:
        asset_id:
          anyOf:
            - type: string
            - type: 'null'
          description: The asset ID of the finding
          title: Asset Id
        asset_type:
          description: The asset type of the finding
          title: Asset Type
          type: string
        company:
          anyOf:
            - $ref: '#/components/schemas/TPRMCompanyKBRespModel'
            - type: 'null'
          description: The ID of the company associated with the finding
        connection_attributes:
          anyOf:
            - $ref: '#/components/schemas/ConnectionAttributesModel'
            - type: 'null'
          description: The connection attributes of the finding
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The creation time of the finding
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: The description of the finding
          title: Description
        domain:
          anyOf:
            - type: string
            - type: 'null'
          description: The domain of the finding
          title: Domain
        evidence:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          description: The evidence of the finding
          title: Evidence
        first_seen:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The first seen time of the finding
          title: First Seen
        id:
          description: Leen's UUID for the finding
          format: uuid
          title: Id
          type: string
        last_seen:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The last seen time of the finding
          title: Last Seen
        provider_name:
          anyOf:
            - type: string
            - type: 'null'
          description: The provider name of the finding
          title: Provider Name
        remediation:
          anyOf:
            - type: string
            - type: 'null'
          description: The remediation of the finding
          title: Remediation
        severity:
          anyOf:
            - $ref: '#/components/schemas/FindingSeverityEnum'
            - type: 'null'
          description: The severity of the finding
        status:
          anyOf:
            - $ref: '#/components/schemas/FindingStatusEnum'
            - type: 'null'
          description: The status of the finding
        status_updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The status update time of the finding
          title: Status Updated At
        ticket:
          anyOf:
            - $ref: '#/components/schemas/FindingTicketModel'
            - type: 'null'
          description: The ticket of the finding
        title:
          anyOf:
            - type: string
            - type: 'null'
          description: The title of the finding
          title: Title
        type:
          description: The type of the finding
          title: Type
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The update time of the finding
          title: Updated At
        vendor_attributes:
          anyOf:
            - $ref: '#/components/schemas/TPRMFindingKnowledgeBaseVendorData'
            - type: 'null'
          description: The vendor data of the finding
        vulnerability_id:
          anyOf:
            - type: string
            - type: 'null'
          description: The vulnerability ID (e.g., CVE identifier)
          title: Vulnerability Id
      required:
        - id
        - description
        - title
        - type
        - severity
        - status
        - domain
        - asset_type
        - asset_id
        - vulnerability_id
        - first_seen
        - last_seen
        - connection_attributes
        - evidence
        - remediation
        - provider_name
        - company
        - vendor_attributes
        - ticket
        - created_at
        - updated_at
        - status_updated_at
      title: TPRMFindingKBRespModel
      type: object
    ErrorException:
      properties:
        detail:
          description: Error message
          title: Detail
          type: string
      required:
        - detail
      title: ErrorException
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TPRMCompanyKBRespModel:
      properties:
        compliance_claimed:
          anyOf:
            - items:
                $ref: '#/components/schemas/ComplianceClaimedModel'
              type: array
            - type: 'null'
          description: The compliance claimed by the company
          title: Compliance Claimed
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The date the company was created
          title: Created At
        date_added:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The date the company was added
          title: Date Added
        domain:
          anyOf:
            - type: string
            - type: 'null'
          description: The domain of the company
          title: Domain
        id:
          description: Leen's UUID for the tprm company
          format: uuid
          title: Id
          type: string
        industry:
          anyOf:
            - type: string
            - type: 'null'
          description: The industry of the company
          title: Industry
        name:
          description: The name of the company
          title: Name
          type: string
        related_portfolios:
          description: The related portfolios of the company
          items:
            $ref: '#/components/schemas/RelatedPortfolioModel'
          title: Related Portfolios
          type: array
        score:
          anyOf:
            - $ref: '#/components/schemas/ScoreModel'
            - type: 'null'
          description: The score of the company
        size:
          anyOf:
            - type: string
            - type: 'null'
          description: The size of the company
          title: Size
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The date the company was updated
          title: Updated At
        vendor_attributes:
          anyOf:
            - $ref: '#/components/schemas/TPRMCompanyKnowledgeBaseVendorAttributes'
            - type: 'null'
          description: The vendor attributes of the company
      required:
        - id
        - name
        - domain
        - score
        - industry
        - size
        - date_added
        - compliance_claimed
        - vendor_attributes
        - related_portfolios
        - updated_at
        - created_at
      title: TPRM Company
      type: object
    ConnectionAttributesModel:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        hostnames:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Hostnames
        observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Observed Ips
        ports:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Ports
        protocol:
          anyOf:
            - type: string
            - type: 'null'
          title: Protocol
      title: ConnectionAttributesModel
      type: object
    FindingSeverityEnum:
      enum:
        - CRITICAL
        - HIGH
        - MEDIUM
        - LOW
        - INFO
        - UNKNOWN
      title: FindingSeverityEnum
      type: string
    FindingStatusEnum:
      enum:
        - OPEN
        - IGNORED
        - DELETED
        - CLOSED
        - UNKNOWN
      title: FindingStatusEnum
      type: string
    FindingTicketModel:
      properties:
        owner:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        ticket_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Ticket Id
      title: FindingTicketModel
      type: object
    TPRMFindingKnowledgeBaseVendorData:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp when the vendor first created the finding
          title: Created At
        data:
          anyOf:
            - $ref: '#/components/schemas/BlackkiteFindingVendorData'
            - $ref: '#/components/schemas/BitSightFindingVendorData'
            - $ref: >-
                #/components/schemas/SecurityScorecardTPRMFindingVendorAttributes
            - type: 'null'
          title: Data
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: Vendor-reported ID of the tprm finding
          title: Id
        severity:
          anyOf:
            - type: string
            - type: 'null'
          description: Vendor-reported severity of the tprm finding
          title: Severity
        status:
          anyOf:
            - type: string
            - type: 'null'
          description: Vendor-reported state of the tprm finding
          title: Status
        type:
          anyOf:
            - type: string
            - type: 'null'
          description: Vendor-reported type of the tprm finding
          title: Type
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp when the vendor last updated the finding
          title: Updated At
      required:
        - id
      title: TPRMFindingKnowledgeBaseVendorData
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ComplianceClaimedModel:
      properties:
        last_updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Updated At
        standard:
          title: Standard
          type: string
      required:
        - standard
      title: ComplianceClaimedModel
      type: object
    RelatedPortfolioModel:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
      title: RelatedPortfolioModel
      type: object
    ScoreModel:
      properties:
        factors:
          default: []
          items:
            $ref: '#/components/schemas/ScoreFactorModel'
          title: Factors
          type: array
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rating:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rating
      title: ScoreModel
      type: object
    TPRMCompanyKnowledgeBaseVendorAttributes:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp when the vendor first created the company
          title: Created At
        data:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteTPRMCompanyVendorData'
            - $ref: '#/components/schemas/SecurityScorecardTPRMCompanyVendorData'
            - $ref: '#/components/schemas/BitSightTPRMCompanyVendorData'
            - type: 'null'
          title: Data
        id:
          description: vendor-reported company ID
          title: Id
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp when the vendor last updated the company
          title: Updated At
      required:
        - id
      title: TPRMCompanyKnowledgeBaseVendorAttributes
      type: object
    BlackkiteFindingVendorData:
      properties:
        finding_data:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteInformationDisclosureVendorData'
            - $ref: '#/components/schemas/BlackKiteSSLTLSStrengthVendorData'
            - $ref: '#/components/schemas/BlackKiteDDOSResiliencySecurityVendorData'
            - $ref: '#/components/schemas/BlackKiteNetworkSecurityVendorData'
            - $ref: '#/components/schemas/BlackKiteEmailSecurityVendorData'
            - $ref: '#/components/schemas/BlackKiteDNSHealthVendorData'
            - $ref: >-
                #/components/schemas/BlackKiteTPRMFindingApplicationSecurityVendorData
            - $ref: '#/components/schemas/BlackKiteTPRMFraudulentDomainVendorData'
            - $ref: >-
                #/components/schemas/BlackKiteTPRMFindingCredentialManagementVendorData
            - $ref: '#/components/schemas/BlackKiteTPRMFindingIPReputationVendorData'
            - $ref: '#/components/schemas/BlackKiteTPRMFindingAttackSurfaceVendorData'
            - $ref: >-
                #/components/schemas/BlackKiteTPRMFindingFraudulentAppsVendorData
            - $ref: >-
                #/components/schemas/BlackKiteTPRMFindingHacktivistSharesVendorData
            - $ref: '#/components/schemas/BlackKiteTPRMFindingSocialNetworkVendorData'
            - $ref: >-
                #/components/schemas/BlackKiteTPRMFindingBrandMonitoringVendorData
            - $ref: '#/components/schemas/BlackKiteTPRMWebRankingVendorData'
            - $ref: >-
                #/components/schemas/BlackKiteTPRMWebRankingWCAGParsingComplianceVendorData
            - $ref: '#/components/schemas/BlackKiteTPRMWebSecurityVendorData'
            - $ref: '#/components/schemas/BlackKiteTPRMCDNSecurityVendorData'
          title: Finding Data
      required:
        - finding_data
      title: BlackkiteFindingVendorData
      type: object
    BitSightFindingVendorData:
      properties:
        finding_data:
          anyOf:
            - $ref: '#/components/schemas/BitSightBotnetInfectionsFindingVendorData'
            - $ref: '#/components/schemas/BitSightDesktopSoftwareFindingVendorData'
            - $ref: '#/components/schemas/BitSightMobileSoftwareFindingVendorData'
            - $ref: '#/components/schemas/BitSightSPFFindingVendorData'
            - $ref: '#/components/schemas/BitSightDKIMFindingVendorData'
            - $ref: '#/components/schemas/BitSightSSLConfigurationsFindingVendorData'
            - $ref: '#/components/schemas/BitSightSSLCertificatesFindingVendorData'
            - $ref: '#/components/schemas/BitSightOpenPortsFindingVendorData'
            - $ref: '#/components/schemas/BitSightWebAppSecFindingVendorData'
            - $ref: '#/components/schemas/BitSightDNSSECFindingVendorData'
            - $ref: >-
                #/components/schemas/BitSightApplicationSecurityFindingVendorData
            - $ref: '#/components/schemas/BitSightDMARCFindingVendorData'
            - $ref: '#/components/schemas/BitSightFileSharingFindingVendorData'
            - $ref: '#/components/schemas/BitSightServerSoftwareFindingVendorData'
            - $ref: '#/components/schemas/BitSightInsecureSystemsFindingVendorData'
            - $ref: >-
                #/components/schemas/BitSightPotentiallyExploitedFindingVendorData
            - $ref: '#/components/schemas/BitSightUnsolicitedCommFindingVendorData'
            - $ref: '#/components/schemas/BitSightSpamPropagationFindingVendorData'
            - $ref: '#/components/schemas/BitSightMalwareServersFindingVendorData'
            - $ref: >-
                #/components/schemas/BitSightMobileApplicationSecurityFindingVendorData
            - type: 'null'
          title: Finding Data
      title: BitSightFindingVendorData
      type: object
    SecurityScorecardTPRMFindingVendorAttributes:
      properties:
        related_info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Related Info
      title: SecurityScorecardTPRMFindingVendorAttributes
      type: object
    ScoreFactorModel:
      properties:
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        name:
          title: Name
          type: string
        rating:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rating
      required:
        - name
      title: ScoreFactorModel
      type: object
    BlackKiteTPRMCompanyVendorData:
      properties:
        dashboard_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Dashboard Link
        strategy_report_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Strategy Report Url
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
      title: BlackKiteTPRMCompanyVendorData
      type: object
    SecurityScorecardTPRMCompanyVendorData:
      properties:
        last_30_days_breach_count:
          title: Last 30 Days Breach Count
          type: number
        last_month_score_change:
          title: Last Month Score Change
          type: number
        lifecycle_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Lifecycle Status
        monitored:
          title: Monitored
          type: boolean
        tags:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Tags
      required:
        - monitored
        - last_month_score_change
        - last_30_days_breach_count
      title: SecurityScorecardTPRMCompanyVendorData
      type: object
    BitSightTPRMCompanyVendorData:
      properties:
        display_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Url
      title: BitSightTPRMCompanyVendorData
      type: object
    BlackKiteInformationDisclosureVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: BlackKiteInformationDisclosureVendorData
      type: object
    BlackKiteSSLTLSStrengthVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: BlackKiteSSLTLSStrengthVendorData
      type: object
    BlackKiteDDOSResiliencySecurityVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: BlackKiteDDOSResiliencySecurityVendorData
      type: object
    BlackKiteNetworkSecurityVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: BlackKiteNetworkSecurityVendorData
      type: object
    BlackKiteEmailSecurityVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: BlackKiteEmailSecurityVendorData
      type: object
    BlackKiteDNSHealthVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: BlackKiteDNSHealthVendorData
      type: object
    BlackKiteTPRMFindingApplicationSecurityVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: BlackKiteTPRMFindingApplicationSecurityVendorData
      type: object
    BlackKiteTPRMFraudulentDomainVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        create_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Create Date
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        expire_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Expire Date
        fraudulent_domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Fraudulent Domain
        levenshtein_ratio:
          anyOf:
            - type: string
            - type: 'null'
          title: Levenshtein Ratio
        possibility:
          anyOf:
            - type: string
            - type: 'null'
          title: Possibility
        registrant:
          anyOf:
            - type: string
            - type: 'null'
          title: Registrant
        registrar:
          anyOf:
            - type: string
            - type: 'null'
          title: Registrar
      title: BlackKiteTPRMFraudulentDomainVendorData
      type: object
    BlackKiteTPRMFindingCredentialManagementVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        emailor_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailor Username
        leak_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Leak Date
        leak_info:
          anyOf:
            - type: string
            - type: 'null'
          title: Leak Info
        password_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Password Type
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
      title: BlackKiteTPRMFindingCredentialManagementVendorData
      type: object
    BlackKiteTPRMFindingIPReputationVendorData:
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        first_listing_date:
          anyOf:
            - type: string
            - type: 'null'
          title: First Listing Date
        listing_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Listing Url
        report_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Date
        reputation_listings:
          items:
            $ref: '#/components/schemas/BlackKiteReputation'
          title: Reputation Listings
          type: array
      required:
        - reputation_listings
      title: BlackKiteTPRMFindingIPReputationVendorData
      type: object
    BlackKiteTPRMFindingAttackSurfaceVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        ports:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ports
        protocols:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Protocols
        risk:
          anyOf:
            - type: string
            - type: 'null'
          title: Risk
        risk_score:
          anyOf:
            - type: string
            - type: 'null'
          title: Risk Score
      title: BlackKiteTPRMFindingAttackSurfaceVendorData
      type: object
    BlackKiteTPRMFindingFraudulentAppsVendorData:
      properties:
        application_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Application Url
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        finding_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Finding Title
        package:
          anyOf:
            - type: string
            - type: 'null'
          title: Package
        screenshot_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Screenshot Url
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
      title: BlackKiteTPRMFindingFraudulentAppsVendorData
      type: object
    BlackKiteTPRMFindingHacktivistSharesVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        exploit:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteExploit'
            - type: 'null'
        finding_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Finding Title
        risk_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Risk Level
        screenshot_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Screenshot Url
        share_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Share Url
        snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Snippet
      title: BlackKiteTPRMFindingHacktivistSharesVendorData
      type: object
    BlackKiteTPRMFindingSocialNetworkVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        finding_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Finding Title
        risk_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Risk Level
        screenshot_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Screenshot Url
        share_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Share Url
        snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Snippet
      title: BlackKiteTPRMFindingSocialNetworkVendorData
      type: object
    BlackKiteTPRMFindingBrandMonitoringVendorData:
      properties:
        web_of_trust:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteWebOfTrust'
            - type: 'null'
        website_optimization_and_quality:
          anyOf:
            - items:
                $ref: '#/components/schemas/BlackKiteWebsiteOptimizationAndQuality'
              type: array
            - type: 'null'
          title: Website Optimization And Quality
      title: BlackKiteTPRMFindingBrandMonitoringVendorData
      type: object
    BlackKiteTPRMWebRankingVendorData:
      properties:
        google_page_speed_insight_performance_findings:
          anyOf:
            - $ref: >-
                #/components/schemas/BlackKiteGooglePageSpeedInsightPerformanceFindings
            - type: 'null'
        rankings:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteRankings'
            - type: 'null'
      title: BlackKiteTPRMWebRankingVendorData
      type: object
    BlackKiteTPRMWebRankingWCAGParsingComplianceVendorData:
      properties:
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: BlackKiteTPRMWebRankingWCAGParsingComplianceVendorData
      type: object
    BlackKiteTPRMWebSecurityVendorData:
      properties:
        code_quality:
          anyOf:
            - type: string
            - type: 'null'
          title: Code Quality
        code_quality_control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Code Quality Control Id
        code_quality_findings:
          anyOf:
            - items:
                $ref: '#/components/schemas/BlackKiteCodeQualityFinding'
              type: array
            - type: 'null'
          title: Code Quality Findings
        latest_screenshot_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Screenshot Url
        patch_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Patch Level
        performance:
          anyOf:
            - type: string
            - type: 'null'
          title: Performance
        possible_vulnerabilities_related_control_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Possible Vulnerabilities Related Control Ids
        security_header_related_control_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Security Header Related Control Ids
        security_headers:
          anyOf:
            - type: string
            - type: 'null'
          title: Security Headers
        ssl_tls_strength:
          anyOf:
            - type: string
            - type: 'null'
          title: Ssl Tls Strength
      title: BlackKiteTPRMWebSecurityVendorData
      type: object
    BlackKiteTPRMCDNSecurityVendorData:
      properties:
        asset:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset
        component:
          anyOf:
            - type: string
            - type: 'null'
          title: Component
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        cves:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cves
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        host_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Host Name
        host_name_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Host Name Type
        references:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: References
        section:
          anyOf:
            - type: string
            - type: 'null'
          title: Section
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
      title: BlackKiteTPRMCDNSecurityVendorData
      type: object
    BitSightBotnetInfectionsFindingVendorData:
      properties:
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        detection_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Detection Method
        infection:
          anyOf:
            - $ref: '#/components/schemas/BitSightBotnetInfections'
            - type: 'null'
        pcap_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pcap Id
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        sinkhole_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip
        sinkhole_ip_masked:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip Masked
        src_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src Port
      title: BitSightBotnetInfectionsFindingVendorData
      type: object
    BitSightDesktopSoftwareFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        estimation_of_users:
          anyOf:
            - type: string
            - type: 'null'
          title: Estimation Of Users
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        operating_system_family:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Family
        operating_system_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Grade
        operating_system_support_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Support Status
        operating_system_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Version
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        user_agent_family:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Family
        user_agent_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Grade
        user_agent_support_status:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Support Status
        user_agent_version:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Version
      title: BitSightDesktopSoftwareFindingVendorData
      type: object
    BitSightMobileSoftwareFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        estimation_of_users:
          anyOf:
            - type: string
            - type: 'null'
          title: Estimation Of Users
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        operating_system_family:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Family
        operating_system_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Grade
        operating_system_support_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Support Status
        operating_system_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Version
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        user_agent_family:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Family
        user_agent_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Grade
        user_agent_support_status:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Support Status
        user_agent_version:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Version
      title: BitSightMobileSoftwareFindingVendorData
      type: object
    BitSightSPFFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      title: BitSightSPFFindingVendorData
      type: object
    BitSightDKIMFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      title: BitSightDKIMFindingVendorData
      type: object
    BitSightSSLConfigurationsFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      title: BitSightSPFFindingVendorData
      type: object
    BitSightSSLCertificatesFindingVendorData:
      properties:
        attributed_observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Attributed Observed Ips
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      title: BitSightSPFFindingVendorData
      type: object
    BitSightOpenPortsFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
      title: BitSightOpenPortsFindingVendorData
      type: object
    BitSightWebAppSecFindingVendorData:
      properties:
        assessment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Assessment Name
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        failed_evidence:
          anyOf:
            - type: integer
            - type: 'null'
          title: Failed Evidence
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Observed Ips
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        scan_target:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Target
      title: BitSightWebAppSecFindingVendorData
      type: object
    BitSightDNSSECFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      title: BitSightDNSSECFindingVendorData
      type: object
    BitSightApplicationSecurityFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Observed Ips
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      title: BitSightApplicationSecurityFindingVendorData
      type: object
    BitSightDMARCFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      title: BitSightDMARCFindingVendorData
      type: object
    BitSightFileSharingFindingVendorData:
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        src_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src Port
        torrent_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Torrent Hash
        trt_bs_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Trt Bs Category
      title: BitSightFileSharingFindingVendorData
      type: object
    BitSightServerSoftwareFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Observed Ips
        port_list:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Port List
        remediations:
          anyOf:
            - items:
                $ref: '#/components/schemas/BitSightRemediation'
              type: array
            - type: 'null'
          title: Remediations
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      title: BitSightServerSoftwareFindingVendorData
      type: object
    BitSightInsecureSystemsFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        server_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Name
        src_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src Port
        user_agent:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent
      title: BitSightInsecureSystemsFindingVendorData
      type: object
    BitSightPotentiallyExploitedFindingVendorData:
      properties:
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        detection_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Detection Method
        infection:
          anyOf:
            - $ref: '#/components/schemas/BitSightPotentiallyExploitedInfections'
            - type: 'null'
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        server_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Name
        sinkhole_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip
        sinkhole_ip_masked:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip Masked
        src_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src Port
      title: BitSightPotentiallyExploitedFindingVendorData
      type: object
    BitSightUnsolicitedCommFindingVendorData:
      properties:
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        detection_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Detection Method
        infection:
          anyOf:
            - $ref: '#/components/schemas/BitSightUnsolicitedCommInfections'
            - type: 'null'
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        sinkhole_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip
        sinkhole_ip_masked:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip Masked
        src_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src Port
      title: BitSightUnsolicitedCommFindingVendorData
      type: object
    BitSightSpamPropagationFindingVendorData:
      properties:
        detection_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Detection Method
        email_from_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Email From Address
        sender_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Email
        subject:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject
      title: BitSightSpamPropagationFindingVendorData
      type: object
    BitSightMalwareServersFindingVendorData:
      properties:
        portal_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Portal Type
        server_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Name
      title: BitSightMalwareServersFindingVendorData
      type: object
    BitSightMobileApplicationSecurityFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        diligence_annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Diligence Annotations
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Observed Ips
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      title: BitSightMobileApplicationSecurityFindingVendorData
      type: object
    BlackKiteReputation:
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        date:
          anyOf:
            - type: string
            - type: 'null'
          title: Date
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      title: BlackKiteReputation
      type: object
    BlackKiteExploit:
      properties:
        cve_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cve Id
        cvss:
          anyOf:
            - type: string
            - type: 'null'
          title: Cvss
        cwe_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cwe Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        exploitability_score:
          anyOf:
            - type: string
            - type: 'null'
          title: Exploitability Score
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
      title: BlackKiteExploit
      type: object
    BlackKiteWebOfTrust:
      properties:
        child_safety:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteWebScoreAndGrade'
            - type: 'null'
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        privacy:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteWebScoreAndGrade'
            - type: 'null'
        trustworthiness:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteWebScoreAndGrade'
            - type: 'null'
        vendor_reliability:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteWebScoreAndGrade'
            - type: 'null'
      title: WebOfTrust
      type: object
    BlackKiteWebsiteOptimizationAndQuality:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: BlackKiteWebsiteOptimizationAndQuality
      type: object
    BlackKiteGooglePageSpeedInsightPerformanceFindings:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        desktop_speed_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Desktop Speed Grade
        findings:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/BlackKiteGooglePageSpeedInsightPerformanceFindingsList
              type: array
            - type: 'null'
          title: Findings
        mobile_speed_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile Speed Grade
        mobile_usability_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile Usability Grade
      title: BlackKiteGooglePageSpeedInsightPerformanceFindings
      type: object
    BlackKiteRankings:
      properties:
        alexa_ranking_and_trend:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteRankingAndTrend'
            - type: 'null'
        cisco_ranking_and_trend:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteRankingAndTrend'
            - type: 'null'
        majestic_ranking_and_trend:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteRankingAndTrend'
            - type: 'null'
        web_rank_country_image:
          anyOf:
            - type: string
            - type: 'null'
          title: Web Rank Country Image
      title: Rankings
      type: object
    BlackKiteCodeQualityFinding:
      properties:
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: BlackKiteCodeQualityFinding
      type: object
    BitSightBotnetInfections:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        references:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: References
      title: BitSightBotnetInfections
      type: object
    BitSightRemediation:
      properties:
        help_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Text
        message:
          title: Message
          type: string
        remediation_tip:
          anyOf:
            - type: string
            - type: 'null'
          title: Remediation Tip
      required:
        - message
      title: BitSightRemediation
      type: object
    BitSightPotentiallyExploitedInfections:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        references:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: References
      title: PotentiallyExploitedInfections
      type: object
    BitSightUnsolicitedCommInfections:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        references:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: References
      title: UnsolicitedCommInfections
      type: object
    BlackKiteWebScoreAndGrade:
      properties:
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        score:
          anyOf:
            - type: string
            - type: 'null'
          title: Score
      title: BlackKiteWebScoreAndGrade
      type: object
    BlackKiteGooglePageSpeedInsightPerformanceFindingsList:
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        references:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: References
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
      title: BlackKiteGooglePageSpeedInsightPerformanceFindingsList
      type: object
    BlackKiteRankingAndTrend:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        rank:
          anyOf:
            - type: string
            - type: 'null'
          title: Rank
        trend_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Trend Image Url
      title: BlackKiteRankingAndTrend
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey
    Bearer-Token:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.